Bug 7227 - Some fonts not recognized by some OS X applications
Summary: Some fonts not recognized by some OS X applications
Status: NEW
Alias: None
Product: DejaVu
Classification: Unclassified
Component: General (show other bugs)
Version: unspecified
Hardware: x86 (IA32) Mac OS X (All)
: high normal
Assignee: Deja Vu bugs
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-06-14 09:12 UTC by Denis Jacquerye
Modified: 2007-11-21 10:04 UTC (History)
2 users (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Denis Jacquerye 2006-06-14 09:12:21 UTC
reported by Benjamin Esham

Sans Mono Roman and Bold are not recognized by some OS X applications like
Terminal and TextEdit, but Oblique and Bold Oblique work fine

Environment: DejaVu fonts 2.3, Mac OS X 10.4.5
Reproducible: Yes?
Cause: Unknown
Comment 1 Benjamin Esham 2007-02-22 10:27:06 UTC
An update...  I am now using version 2.15, and this problem is still occurring, just slightly differently.  According to Font Book, I have Bold, Book, Oblique, and Bold Oblique installed from each of the three fonts.  However, in Terminal and TextEdit, Sans Mono Oblique does not show up in the list, even though it is installed, and Sans Extra Light does show up in the list, even though it is not installed (selecting it does nothing).  This is incredibly annoying, and it seems that the symptoms change slightly every time I update to the newest version of DejaVu.  I will keep trying to troubleshoot this.
Comment 2 ben 2007-03-24 12:06:04 UTC
I had a similar problem just now (that's how I found this bug) but managed to fix it.  Apparently I had a pre-2.15 version installed, because Font Book listed "DejaVu Sans Mono".  Aggravatingly, the font failed to appear in the "Fixed Width" category in Font Book.  I simply uninstalled it (right-clicked the old entry and selected "Remove...") and then dropped the version 2.15 files into place.  Now the font appears in the "Fixed Width" column as it should.
Comment 3 Lars Næsbye Christensen 2007-11-21 10:04:43 UTC
It works fine with DejaVu fonts 2.20 and MacOS X 10.4.11. I think we can close this bug (?)



Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.